Bug 518029 - libvirt-python: virConnect class has duplicate method name!
Summary: libvirt-python: virConnect class has duplicate method name!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 14:28 UTC by Andreas Sommer
Modified: 2010-03-16 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 11:21:28 UTC


Attachments (Terms of Use)

Description Andreas Sommer 2009-08-18 14:28:47 UTC
Description of problem:
Look at "libvirt.py", lines 1081-1099. The method "createXML" (one for devices, one for domains) is duplicate, thus only the second one is usable. Should be renamed in some way.

Version-Release number of selected component (if applicable):
0.7.0 GIT snapshot

Comment 1 Daniel Veillard 2009-08-19 10:30:10 UTC
Right, I'm looking at it and there is some nasty things in the generator,
I will post a patch upstream shortly,

 thanks for the heads-up !

Daniel

Comment 2 Daniel Berrangé 2009-08-19 10:37:03 UTC
This is yet another occurrance of this fix we previously did

commit 61243e0f57f966d48194a4a0db50871125fe972f
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Wed Apr 1 10:37:57 2009 +0000

    Fix generation of networkCreateXML and storagePoolCreateXML


Same changes should work for virNetworkCreateXML too, which is what is probably causing the trouble.

Comment 3 Daniel Veillard 2009-08-19 19:21:20 UTC
Yeah, but there are other bugs in the class method name generator,
see for example in the Interface class :-)
I'm trying to clean this up a little bit to make things simpler
on the long term...

Daniel

Comment 4 Andreas Sommer 2009-09-09 10:22:33 UTC
Can you please tell me from which python-libvirt version on this bug will be corrected?

Comment 5 Daniel Berrangé 2009-11-13 11:21:28 UTC
This was fixed upstream in the previous release

commit 3f935df0af2bce49fd534f84c12e2f9931d78da8
Author: Cole Robinson <crobinso@redhat.com>
Date:   Wed Sep 23 12:09:09 2009 -0400

    python: Don't generate conflicting conn.createXML functions.


Note You need to log in before you can comment on or make changes to this bug.